Mercurial > hg > beaglert
comparison scripts/build_pd_heavy.sh @ 488:441c8429f27c prerelease
better error message in build_pd_heavy
author | Giulio Moro <giuliomoro@yahoo.it> |
---|---|
date | Tue, 21 Jun 2016 16:32:12 +0100 |
parents | def3b8cf9749 |
children | b6b532e88a5c |
comparison
equal
deleted
inserted
replaced
487:7eefd4b3aec3 | 488:441c8429f27c |
---|---|
100 #create destination folder if it does not exist" | 100 #create destination folder if it does not exist" |
101 mkdir -p "$projectpath" | 101 mkdir -p "$projectpath" |
102 | 102 |
103 # These files will be cleared from $projectpath before calling uploader.py | 103 # These files will be cleared from $projectpath before calling uploader.py |
104 #TODO: get a reliable, exhaustive, up-to-date list. | 104 #TODO: get a reliable, exhaustive, up-to-date list. |
105 HEAVY_FILES='Heavy* Hv* Message* Signal*' | 105 HEAVY_FILES='Heavy* Hv*' |
106 | 106 |
107 set_date | 107 set_date |
108 reference_time_file="$projectpath"/ | 108 reference_time_file="$projectpath"/ |
109 trap "kill -9 "'$BACKGROUND_PROCESS_PID'"; exit 0;" 2 9 | 109 trap "kill -9 "'$BACKGROUND_PROCESS_PID'"; exit 0;" 2 9 |
110 uploadBuildRun(){ | 110 uploadBuildRun(){ |
127 | 127 |
128 # Test that files have been retrieved from the online compiler. | 128 # Test that files have been retrieved from the online compiler. |
129 # TODO: find a more reliable way of doing this. e.g.: have uploader.py fail with a non-zero error code. | 129 # TODO: find a more reliable way of doing this. e.g.: have uploader.py fail with a non-zero error code. |
130 for file in $HEAVY_FILES; | 130 for file in $HEAVY_FILES; |
131 do | 131 do |
132 ls "$projectpath"/$file >/dev/null 2>&1 || { echo "The online compiler failed, please try again."; exit 1; } | 132 ls "$projectpath"/$file >/dev/null 2>&1 || { printf "The online compiler did not return all the files or failed without notice, please try again and/or change HEAVY_FILES to be less strict.\n\n"; exit 1; } |
133 done | 133 done |
134 | 134 |
135 # Apply any Bela-specific patches here | 135 # Apply any Bela-specific patches here |
136 cp "$HVRESOURCES_DIR/HvUtils.h" $projectpath/ || exit 1; | 136 cp "$HVRESOURCES_DIR/HvUtils.h" $projectpath/ || exit 1; |
137 | 137 |